/*============================================================================
  File:     Reading the histogram.sql

  Summary:  Another example for reading the histogram

  Date:     November 2011

  SQL Server Version: 2005/2008
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp & Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out http://www.SQLskills.com

  This script is intended as a supplement to the SQL Server 2008 Jumpstart or
  Metro training.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE Credit
go

sp_helpindex member
go

sp_helpstats member
go

DBCC SHOW_STATISTICS ('member', 'member_corporation_link')
--WITH HISTOGRAM
go

SELECT m.* 
FROM dbo.member AS m
WHERE m.corp_no = 403
go

SELECT m.* 
FROM dbo.member AS m
WHERE m.corp_no = 404
go

SELECT m.* 
FROM dbo.member AS m
WHERE m.corp_no = 405
go

SELECT m.* 
FROM dbo.member AS m
WHERE m.corp_no = 406
go

SELECT m.* 
FROM dbo.member AS m
WHERE m.corp_no = 407
go



--SELECT m.* 
--FROM dbo.member AS m
--WHERE m.corp_no = 202
--go

--SELECT m.* 
--FROM dbo.member AS m
--WHERE m.corp_no = 203
--go

--SELECT m.* 
--FROM dbo.member AS m
--WHERE m.corp_no = 204
--go

--SELECT m.* 
--FROM dbo.member AS m
--WHERE m.corp_no = 205
--go

--SELECT m.* 
--FROM dbo.member AS m
--WHERE m.corp_no = 364
--go

--SELECT m.* 
--FROM dbo.member AS m
--WHERE m.corp_no = 365
--go

--SELECT m.* 
--FROM dbo.member AS m
--WHERE m.corp_no = 366
--go

--SELECT m.* 
--FROM dbo.member AS m
--WHERE m.corp_no = 367
--go